Bug 476615 - Problem with latin american keyboard and spanish accents
Problem with latin american keyboard and spanish accents
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 03:23 EST by santiago angel
Modified: 2009-12-18 02:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:18:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Out of the command dumpkeys in a gnome terminal (14.48 KB, text/plain)
2008-12-16 03:23 EST, santiago angel
no flags Details
/etc/sysconfig/keyboard (90 bytes, text/plain)
2008-12-16 03:24 EST, santiago angel
no flags Details

  None (edit)
Description santiago angel 2008-12-16 03:23:01 EST
Created attachment 327081 [details]
Out of the command dumpkeys in a gnome terminal

Description of problem:

After the initial yum update my system does not work anymore with Spanish accents in every application that uses gnome or gtk libs including firefox and OpenOffice.



How reproducible:


Steps to Reproduce:
1.type an accent character like á in a gnome session 
2.or type an accent character like á in gnome/gtk based applications in a KDE session 

  
Actual results:
no accents characters are shown:
´ + a prints nothing   

Expected results:
´ + a prints á

(same for the rest of accent characters)

Additional info:



In a KDE session all kde based software works fine.

In a text session without X11 accents works fine.
Comment 1 santiago angel 2008-12-16 03:24:03 EST
Created attachment 327082 [details]
/etc/sysconfig/keyboard
Comment 2 santiago angel 2008-12-16 03:32:02 EST
RELATED https://bugzilla.redhat.com/show_bug.cgi?id=475638
Comment 3 santiago angel 2008-12-16 03:33:44 EST
RELATED https://bugzilla.redhat.com/show_bug.cgi?id=470153
Comment 4 Ray Strode [halfline] 2008-12-16 17:07:20 EST

*** This bug has been marked as a duplicate of bug 473226 ***
Comment 5 santiago angel 2008-12-17 02:52:38 EST
bug 473226 is about wrong keyboard layout, but in this bug compose keymaps fails
and the keyboard layout is well recognized
Comment 6 Ray Strode [halfline] 2008-12-17 09:41:50 EST
If you edit /etc/sysconfig/keyboard and change

KEYTABLE="la-latin1"
to
KEYTABLE="latam"

does your problem go away?
Comment 7 santiago angel 2008-12-18 00:36:37 EST
No, it's worst, in gnome my keyboard layout is wrong with this changes, no accents and no alt-gr.



For the record the system is an HP compaq 8710p
Comment 8 santiago angel 2008-12-18 00:37:14 EST
In KDE this changes take no effect.
Comment 9 santiago angel 2008-12-20 02:14:09 EST
With the system update of 2008-12-18 accents are working again in gtk/gnome apps

Partial yum log:

Dec 18 13:32:35 Updated: bash-3.2-30.fc10.i386
Dec 18 13:32:37 Updated: mesa-dri-drivers-7.2-0.15.fc10.i386
Dec 18 13:32:47 Updated: mesa-libGL-7.2-0.15.fc10.i386
Dec 18 13:32:47 Updated: mesa-libGLU-7.2-0.15.fc10.i386
Dec 18 13:32:52 Updated: gtk2-2.14.5-3.fc10.i386
Dec 18 13:32:53 Updated: 12:libdhcp4client-4.0.0-33.fc10.i386
Dec 18 13:32:53 Updated: glx-utils-7.2-0.15.fc10.i386
Dec 18 13:32:54 Updated: iscsi-initiator-utils-6.2.0.870-1.0.fc10.i386
Dec 18 13:32:55 Updated: 12:dhclient-4.0.0-33.fc10.i386
Dec 18 13:32:56 Updated: xorg-x11-drv-ati-6.9.0-62.fc10.i386
Dec 18 13:32:56 Updated: 1:dbus-libs-1.2.4-2.fc10.i386
Dec 18 13:32:57 Updated: 1:dbus-1.2.4-2.fc10.i386
Dec 18 13:32:57 Updated: 1:dbus-x11-1.2.4-2.fc10.i386
Comment 10 memo garcia 2009-04-24 12:34:38 EDT
(In reply to comment #6)
> If you edit /etc/sysconfig/keyboard and change
> 
> KEYTABLE="la-latin1"
> to
> KEYTABLE="latam"
> 
> does your problem go away?  

I have the same, or at least similar, problem with latin american keyboard.

The change in /etc/sysconfig/keyboard proposed doesn't work.

An few examples of wrong mappings are:

backslash should be generated with "ALT GR °" and is generated with "ALT GR '"
left curl parenthesis should be "ALT GR ´" and is "´" without modifier
accent a (á) should be "´ + a" and is "' + a"
Comment 11 Bug Zapper 2009-11-18 04:41:31 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-12-18 02:18:27 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.